CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
FormTool Class Reference

## Public Member Functions
| FormTool ($FormFields, $AdditionalErrorMessages=NULL)
| ValueForField ($FieldName, $NewValue=NULL)
| AllRequiredVarsAreSet ()
| GetValsAsUrlParams ($IncludePasswords=FALSE)
| SetFieldValuesFromUrlParams ()
| IncomingFieldValuesHaveErrors ()
| GetErrorCodesAsUrlParams ()
| SetAdditionalErrorFields ($FieldNames)
| SetAdditionalErrorCodes ($Codes)
| GetUrlWithValuesAndErrorCodes ($BaseUrl, $IncludePasswords=FALSE)
| GetErrorMessages ($EliminateDuplicateMessages=TRUE)
| PrintField ($FieldName)
| PrintLabelForField ($FieldName)
| PrintInputForField ($FieldName)
| ErrorCodesAvailable ()
| CheckFieldValue ($FieldName)

## Static Public Member Functions
static | GetArrayOfUsStates ()

## Public Attributes
| $Fields
| $ErrorColor
| $AdditionalErrorCodes
| $AdditionalErrorFields
| $AdditionalErrorMessages

## Detailed Description

Definition at line 10 of file FormTool.php.

## Member Function Documentation

FormTool::AllRequiredVarsAreSet | ( |  | ) |

Definition at line 79 of file FormTool.php.

FormTool::CheckFieldValue | ( |  | $FieldName | ) |

Definition at line 431 of file FormTool.php.

Referenced by GetErrorCodesAsUrlParams(), PrintField(), PrintInputForField(), and PrintLabelForField().

Here is the caller graph for this function:

FormTool::ErrorCodesAvailable | ( |  | ) |

Definition at line 357 of file FormTool.php.

Referenced by PrintField(), PrintInputForField(), and PrintLabelForField().

Here is the caller graph for this function:

FormTool::FormTool | ( |  | $FormFields,
|  |  | $AdditionalErrorMessages = `NULL`
| ) |  |

Definition at line 15 of file FormTool.php.

References $AdditionalErrorMessages.

static FormTool::GetArrayOfUsStates | ( |  | ) |
| static

Definition at line 363 of file FormTool.php.

FormTool::GetErrorCodesAsUrlParams | ( |  | ) |

Definition at line 152 of file FormTool.php.

References CheckFieldValue().

Referenced by GetUrlWithValuesAndErrorCodes(), and IncomingFieldValuesHaveErrors().

Here is the caller graph for this function:

FormTool::GetErrorMessages | ( |  | $EliminateDuplicateMessages = `TRUE` | ) |

Definition at line 265 of file FormTool.php.

FormTool::GetUrlWithValuesAndErrorCodes | ( |  | $BaseUrl,
|  |  | $IncludePasswords = `FALSE`
| ) |  |

Definition at line 253 of file FormTool.php.

References GetErrorCodesAsUrlParams(), and GetValsAsUrlParams().

FormTool::GetValsAsUrlParams | ( |  | $IncludePasswords = `FALSE` | ) |

Definition at line 103 of file FormTool.php.

Referenced by GetUrlWithValuesAndErrorCodes().

Here is the caller graph for this function:

FormTool::IncomingFieldValuesHaveErrors | ( |  | ) |

Definition at line 143 of file FormTool.php.

References GetErrorCodesAsUrlParams().

FormTool::PrintField | ( |  | $FieldName | ) |

Definition at line 337 of file FormTool.php.

References CheckFieldValue(), and ErrorCodesAvailable().

FormTool::PrintInputForField | ( |  | $FieldName | ) |

Definition at line 349 of file FormTool.php.

References CheckFieldValue(), and ErrorCodesAvailable().

FormTool::PrintLabelForField | ( |  | $FieldName | ) |

Definition at line 343 of file FormTool.php.

References CheckFieldValue(), and ErrorCodesAvailable().

FormTool::SetAdditionalErrorCodes | ( |  | $Codes | ) |

Definition at line 233 of file FormTool.php.

FormTool::SetAdditionalErrorFields | ( |  | $FieldNames | ) |

Definition at line 214 of file FormTool.php.

FormTool::SetFieldValuesFromUrlParams | ( |  | ) |

Definition at line 128 of file FormTool.php.

FormTool::ValueForField | ( |  | $FieldName,
|  |  | $NewValue = `NULL`
| ) |  |

Definition at line 73 of file FormTool.php.

## Member Data Documentation

FormTool::$AdditionalErrorCodes

Definition at line 426 of file FormTool.php.

FormTool::$AdditionalErrorFields

Definition at line 427 of file FormTool.php.

FormTool::$AdditionalErrorMessages

Definition at line 428 of file FormTool.php.

Referenced by FormTool().

FormTool::$ErrorColor

Definition at line 425 of file FormTool.php.

FormTool::$Fields

Definition at line 424 of file FormTool.php.

The documentation for this class was generated from the following file:

- objects/FormTool.php